Name:		minitube
Version:	2.0
Release:	%mkrel 2
Summary:	A native YouTube client
Group:		Video/Players
License:	GPLv3+
URL:		http://flavio.tordini.org/minitube
Source0:	http://flavio.tordini.org/files/minitube/%{name}-%{version}.tar.gz
Patch0:		minitube-1.8-missing-include.patch
# Patches from debian
Patch10:	minitube-2.0-assure-quit-keybinding
Patch11:	minitube-2.0-disable-update-check
Patch12:	minitube-2.0-proper-tempfiles

BuildRequires:	qt4-devel
BuildRequires:	phonon-devel
Requires:	phonon-backend
Suggests:	gstreamer0.10-ffmpeg
Suggests:	gstreamer0.10-plugins-bad

%description
Minitube is a native YouTube client. With it you can watch YouTube videos in
a new way: you type a keyword, Minitube gives you an endless video stream.
Minitube does not require the Flash Player.

Minitube is not about cloning the original Youtube web interface, it strives
to create a new TV-like experience.

%prep
%setup -q -n minitube
%apply_patches

%build
%qmake_qt4 PREFIX=%{_prefix}
%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%doc TODO CHANGES AUTHORS
%{_bindir}/minitube
%{_datadir}/minitube
%{_datadir}/applications/minitube.desktop
%{_datadir}/icons/hicolor/*/apps/minitube.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0-2.mga4
+ Revision: 523762
- Mageia 4 Mass Rebuild

* Fri May 24 2013 wally <wally> 2.0-1.mga4
+ Revision: 426843
- new version 2.0
- add patches from Debian
  * disable-update-check
  * proper-tempfiles
  * assure-quit-keybinding

* Sun Mar 17 2013 solbu <solbu> 1.9-3.mga3
+ Revision: 403544
- Disable update check.
- Fix Requires

* Sat Jan 12 2013 umeabot <umeabot> 1.9-2.mga3
+ Revision: 360103
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 wally <wally> 1.9-1.mga3
+ Revision: 299022
- fix group
- new version 1.9

* Mon Jul 02 2012 wally <wally> 1.8-1.mga3
+ Revision: 266770
- add patch to fix build
- new version 1.8
- clean .spec a bit

* Sat Mar 17 2012 wally <wally> 1.7.1-1.mga2
+ Revision: 223744
- new version 1.7.1

* Sat Jan 07 2012 wally <wally> 1.7-1.mga2
+ Revision: 192861
- new version 1.7
- fix license

* Fri Nov 11 2011 wally <wally> 1.6-1.mga2
+ Revision: 166805
- new version 1.6

* Wed Oct 05 2011 wally <wally> 1.5-2.mga2
+ Revision: 151888
- fix requires
- new version 1.5

* Wed Jun 08 2011 wally <wally> 1.4.3-1.mga2
+ Revision: 101912
- new version 1.4.3

* Sat Apr 23 2011 wally <wally> 1.4.2-2.mga1
+ Revision: 89967
- require phonon-backend

* Fri Apr 22 2011 wally <wally> 1.4.2-1.mga1
+ Revision: 89779
- new version 1.4.2
- add some doc files
- clean .spec
- imported package minitube


* Thu Jan 06 2011 Jani Välimaa <wally@mandriva.org> 1.3-1mdv2011.0
+ Revision: 629074
- new version 1.3

* Sun Oct 17 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.2-1mdv2011.0
+ Revision: 586300
- new version 1.2

* Sat Aug 28 2010 Jani Välimaa <wally@mandriva.org> 1.1-1mdv2011.0
+ Revision: 573766
- new version 1.1
- use qmake_qt4 macro
- make description lines shorter (max 79 chars)
- fix file list

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix licence
    - clean $RPM_BUILD_ROOT at beginning of %%install

* Sun Jan 31 2010 Anne Nicolas <ennael@mandriva.org> 0.9-1mdv2010.1
+ Revision: 498727
- Fix group
- First release for Mandriva
- import minitube


